Returns the control points, or control vertices, of a curve object. If the curve is a rational NURBS curve, the euclidean control vertices are returned.
Rhino.CurvePoints (strObject [, intIndex])
strObject |
Required. String. The object's identifier. |
intIndex |
Optional. Number. If strObject identifies a polycurve object, then intIndex identifies the curve segment of the polycurve to query. |
Array |
The control points of the curve if successful. |
Null |
If not successful, or on error. |
Dim strObject, arrPoints, arrPoint
strObject = Rhino.GetObject("Select a curve")
If Rhino.IsCurve(strObject) Then
arrPoints = Rhino.CurvePoints(strObject)
If IsArray(arrPoints) Then
For Each arrPoint In arrPoints
Rhino.AddPoint arrPoint
Next
End If
End If